/*
 *  EXAMP12.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of the machine() and
 *  submodel() routines.
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    printf( "This computer's type is: " );
    switch ( machine() ) {
        case 0xff : printf( "Standard PC" ); break;
        case 0xfe :
        case 0xfb : printf( "Standard XT" ); break;
        case 0xfd : printf( "PC jr!"); break;
        case 0xfc :
            switch ( submodel() ) {
                case 0x02 : printf( "XT Model 286" ); break;
                case 0x04 : printf( "PS/2 Model 50" ); break;
                case 0x05 : printf( "PS/2 Model 60" ); break;
                default : printf( "AT" ); break;
            }
            break;
        case 0xf9 : printf( "PC Convertible" ); break;
        case 0xfa : printf( "PS/2 Model 30" ); break;
        case 0xf8 : printf( "PS/2 Model 80" ); break;
        default   : printf( "Unknown!" ); break;
    }
    printf( "\n" );
}
