/*
 *  EXAMP15.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of the kbfetch() routines
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int return_code;
    int ascii_value;
    int scan_code;

    return_code = kbfetch();
    ascii_value = return_code & 0xff;
    scan_code = return_code >>= 8;
    if ( ascii_value != 0 )
        if ( ascii_value >= 0x20 )
            printf( "Ascii character=%c\n", ascii_value );
        else
            printf( "Ascii character=^%c\n", ascii_value + 64 );
    printf( "Scan code=%02x\n", scan_code );
}
