/*
 *  EXAMP19.C
 *
 *  The Greenleaf Comm Library
 *
 *  Copyright (C) 1989 Greenleaf Software Inc.  All Rights Reserved.
 *
 *  This example program demonstrates the use of iscd(), isri(), iscts(),
 *  and isdsr().
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include "asiports.h"
#include "ibmkeys.h"
#include "gf.h"

void main( void );

void main()
{
    int status;

    status = asiopen( COM1, ASINOUT | BINARY | NORMALRX, 100, 100,
                      1200L, P_NONE, 1, 8, ON, ON);
    if ( status < ASSUCCESS ) {
        printf( "Failed to open the port.  Status = %d\n", status );
        exit( 1 );
    }
    printf( "DSR is %s\n", isdsr( COM1, IMMEDIATE ) ? "ON" : "OFF" );
    printf( "CTS is %s\n", iscts( COM1, IMMEDIATE ) ? "ON" : "OFF" );
    printf( "RI is  %s\n", isri( COM1, IMMEDIATE ) ? "ON" : "OFF" );
    printf( "CD is  %s\n", iscd( COM1, IMMEDIATE ) ? "ON" : "OFF" );
}
